Skip to content

All resources

calendar

2 endpoints

get /calendar/{token}

Get a project's iCalendar feed

No authentication

Emits the RFC 5545 .ics document for a subscribe token. Public — the token is the credential.

Parameters

NameInTypeRequiredDescription
tokenpathstringyesCalendar subscribe token (optionally suffixed .ics)

Responses

  • 200 iCalendar (text/calendar) document · string
  • 400 Bad Request · apimodel.ErrorEnvelope
  • 404 Not Found · apimodel.ErrorEnvelope

get /projects/{id}/calendar-feed

Get a project's calendar subscribe URL

Requires authentication

Returns (minting on first call) the token + full .ics URL calendar apps subscribe to.

Parameters

NameInTypeRequiredDescription
idpathintegeryesProject id

Responses

  • 200 OK · object
  • 400 Bad Request · apimodel.ErrorEnvelope
  • 403 Forbidden · apimodel.ErrorEnvelope
  • 404 Not Found · apimodel.ErrorEnvelope